com.jogamp.common.util

## Class VersionUtil

- java.lang.Object
- - com.jogamp.common.util.VersionUtil

-     public class VersionUtil
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SEPERATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VersionUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StringBuilder` | `getFullManifestInfo(Manifest mf, StringBuilder sb)`
    `static Manifest` | `getManifest(ClassLoader cl, String extension)` Returns the manifest of the jar which contains the specified extension.
    `static Manifest` | `getManifest(ClassLoader cl, String[] extensions)` Returns the manifest of the jar which contains one of the specified extensions.
    `static String` | `getPlatformInfo()` Prints platform info.
    `static StringBuilder` | `getPlatformInfo(StringBuilder sb)` Appends environment information like OS, JVM and CPU architecture properties to the StringBuilder.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SEPERATOR

          public static final String SEPERATOR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### VersionUtil

          public VersionUtil()

  - ### Method Detail

    - #### getPlatformInfo

          public static StringBuilder getPlatformInfo(StringBuilder sb)

      Appends environment information like OS, JVM and CPU architecture properties to the StringBuilder.

    - #### getPlatformInfo

          public static String getPlatformInfo()

      Prints platform info.
      See Also:
        `getPlatformInfo(java.lang.StringBuilder)`

    - #### getManifest

          public static Manifest getManifest(ClassLoader cl,
                             String extension)

      Returns the manifest of the jar which contains the specified extension. The provided ClassLoader is used for resource loading.
      Parameters:
        `cl` - A ClassLoader which should find the manifest.
        `extension` - The value of the 'Extension-Name' jar-manifest attribute; used to identify the manifest.
      Returns:
        the requested manifest or null when not found.

    - #### getManifest

          public static Manifest getManifest(ClassLoader cl,
                             String[] extensions)

      Returns the manifest of the jar which contains one of the specified extensions. The provided ClassLoader is used for resource loading.
      Parameters:
        `cl` - A ClassLoader which should find the manifest.
        `extensions` - The values of many 'Extension-Name's jar-manifest attribute; used to identify the manifest. Matching is applied in decreasing order, i.e. first element is favored over the second, etc.
      Returns:
        the requested manifest or null when not found.

    - #### getFullManifestInfo

          public static StringBuilder getFullManifestInfo(Manifest mf,
                                          StringBuilder sb)